define([
    'jquery'
], function ($) {
    'use strict';

    $.widget('filoblu.filoblujob', {

        _create: function () {

            var options;

            $('#country-id').change(function () {

                // Remove default option "Choose a Country..." after assigning a value to the field
                if($('#country-id option[value=""]').length) {
                    $('#country-id option[value=""]').remove();
                }

                if(options != null) {
                    options.appendTo("#interest-area");
                }

                var country = $('#country-id').val();

                options = $('#interest-area option').detach();
                options.each(function (index, elem) {
                    //var elem = $(this);
                    if ($(elem).attr('data-country') == country) {
                        $(elem).appendTo('#interest-area');
                    }
                });
                
                $('#interest-area').val('');

                $('.field.department').fadeIn();

            });

            $('#interest-area').change(function () {

                // Remove default option "Choose an Area..." after assigning a value to the field
                if($('#interest-area option[value=""]').length) {
                    $('#interest-area option[value=""]').remove();
                }

                var country = $('option:selected', this).attr('data-country');

                if (country) {
                    $('#country-id').val(country);
                }
                else {
                    $('#country-id').val('');
                }

            });

        }
    });

    return $.filoblu.filoblujob;
});